.. image:: https://getmonero.org/press-kit/logos/monero-logo-symbol-on-white-480.png

Python module for Monero
========================

Welcome to the documentation for the ``monero`` Python module.

The aim of this project is to offer a set of tools for interacting with Monero
cryptocurrency in Python. It provides higher level classes representing objects
from the Monero environment, like wallets, accounts, addresses, transactions.

Currently it operates over JSON RPC protocol, however other backends are
planned as well.

Project homepage: https://github.com/monero-ecosystem/monero-python

.. toctree::
   :maxdepth: 2
   :caption: Contents:

   quickstart
   wallet
   address
   transactions
   daemon
   outputs
   backends
   seed
   misc
   exceptions
   release_notes
   license
   authors

Indices and tables
------------------

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
